(function(){
    'use strict';
    angular.module('sisatosApp')
            .registerCtrl('EditarPessoaCtrl', 
                         ['$scope', '$http', '$routeParams', 'Page', 
                           function($scope, $http, $routeParams, Page) {               
               
                Page.setTitulo('Editar Pessoa');

                $scope.formModel         = {};
                $scope.submitClass       = false;
                $scope.duplicar          = false;
                $scope.mostraDuplicidade = false;

                $http({
                    url: 'app/model/ajax/ajax_pessoas.php',
                    method: 'GET',
                    params: {'acao':'buscarPessoa', 'idPessoa': $routeParams.idPessoa}
                }).then(function(data){
                    dadosPessoa($scope, data.data[0]);
                }, function(data){
                    console.log("Erro no Método 'buscarPessoa'");
                    console.log(data);
                });
               
            }]);
        
        function dadosPessoa($scope, dados){
            var dateParts = dados.dtNascimento.split("-");
            var date = new Date(dateParts[0], dateParts[1] - 1, dateParts[2]);
            
            dados.Genero       = dados.Sexo;
            dados.dtNascimento = new Date(date);
            $scope.formModel = dados;
            return;
        }
})();